Subject: Re: [dtn-interest] RDP (was: "(no subject)")
From: [email-masked]
To: Delay Tolerant Networking Interest List <[email-masked]>
Date: Wed, 28 Nov 2007 15:40:33 -0500
List-Id: Delay Tolerant Networking Interest List <dtn-interest.mailman.dtnrg.org>

On Thu, Nov 22, 2007 at 08:36:46PM +0100, OBIORAH FREDRICK wrote:
> Dear moderator,
> 
> I am an MSc student at Delft university of technology currently working on
> DTN. I would like to know where and how to put some of my questions I need
> clarification on.
> 
> If this is an avenue for such, then my question is:
> 
> I am considering investigating the use RUDP and coding techniques in routing
> messages in DTN. since RUDP is almost similar to TCP with less complexity,
> and also RUDP is yet to be made a formal standard, Is this approach
> relevant, especially with respect to real world deployment of DTN.
>

Saratoga in streaming mode would fit the requirements.  RDP doesn't sound
like a good idea since it's acks and retransmissions won't allow your coding
to have much effect (assuming you're talking about coding above transport).

The FLUTE convergence layer spec that's been brought up here may also
already do what you want:

http://tools.ietf.org/html/draft-kutscher-dtnrg-uni-clayer-00
http://www.sigcomm.org/sigcomm2007/nsdr/files/papers/s3p2.pdf

Date: Tue, 27 Nov 2007 16:32:52 -0600 (CST)
From: "Dr. Hongyi Wu" <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Subject: [dtn-interest] CFPs: ICDCS'08 Workshop on Delay/Disruption-Tolerant Mobile Networks (fwd)
Reply-To: Delay Tolerant Networking Interest List <[email-masked]>

[Apologies if you receive multiple copies of this CFP]

CALL FOR PAPERS

The 3rd International Workshop on Delay/Disruption-Tolerant Mobile Networks (In 
conjunction with ICDCS 2008), Beijing, China, June 20, 2008. 
http://www.cacs.louisiana.edu/~wu/DTMN08/.

Mobile communication has experienced an explosive growth since close to quarter 
of a century. In particular, the mobile ad hoc network technology has attracted 
significant attention in the last decade or so due its challenging research 
problems, and span off such new research areas as mesh-based mobile networks 
and sensor networks. What characterizes nearly all of those mobile technologies 
is that during the exchange of information between the source and destination 
terminals, there exists a set of links which constitutes an end-to-end path 
over which the information is communicated. In some application scenarios, 
however, the connectivity between the mobile stations is poor due to very 
sparse network conditions (low node density) or due to unstable connectivity 
conditions (interference, fading, etc), and thus it is difficult to form a 
well-connected mesh network for transmitting data through end-to-end 
connections. In fact, even if there temporarily exists a path in the network 
for some portion of the communication, it is likely that the terminals will 
only be intermittently connected due to mobility. As a result, data are 
delivered in a store-carry and forward paradigm in such networks. Examples 
include vehicular networks, mobile sensor networks, deep space communications, 
etc.

In this workshop we aim to explore novel research issues related to Delay (or 
Disruption)-Tolerant Mobile Networks (DTMN) and bringing together 
state-of-the-art contributions in this emerging area.

Topics of interest include but are not limited to:

- New Network Architectures and Applications
   * Mobile sensor networks
   * Vehicular networks
   * Heterogeneous mobile networks
   * Delay-tolerant applications
- Protocol Design and Optimization
   * Delay-tolerant transport protocols
   * Mobility/disruption-aware routing protocols
   * Reliability and fault tolerance
   * Energy, processing power and storage requirement
   * Mobility modeling and mobility management
   * Localization and location management
   * Nodal synchronization
   * Security, privacy and incentives for co-operation
   * Resource allocation and QoS support
- Performance Analysis and Evaluation
- Testbed Implementation and Experimental Results

Important Dates:

- Paper Submissions: Dec. 15, 2007
- Notification: Feb. 11, 2008
- Final Version: March 9, 2008
- Workshop date: June 20, 2008

Submission Instructions:

Papers are solicited in the IEEE proceedings format with up to eight (8) pages. 
Blinded submissions in PDF format must be sent to [email-masked] no 
later than December 15, 2008. Please include the authors' names and 
affiliations in the email body only. You will receive a confirmation within 24 
hours. All submissions must be original prior unpublished work and not under 
review elsewhere. All papers will be reviewed blindly and selected based on 
their originality, merit, and relevance to the workshop. Accepted papers must 
be presented at the workshop, and will appear in the ICDCS workshop 
proceedings. Please email [email-masked] if you have any questions.

Program Co-Chairs:
- Liviu Iftode, Rutgers University
- Hongyi Wu, University of Louisiana at Lafayette
- Ichiro Satoh, National Institute of Informatics, Japan

Program Committee:
- Mostafa Ammar, Georgia Institute of Technology
- Guohong Cao, Pennsylvania State University
- Jiming Chen, Zhejiang University
- Mooi Choo Chuah, Lehigh University
- Jon Crowcroft, University of Cambridge
- Cecilia Mascolo, University College of London
- Tamer Nadeem, Siemens Corporate Research
- Dmitri Perkins, University of Louisiana at Lafayette
- Chunming Qiao, State University of New York at Buffalo
- Konstantinos Psounis, University of Southern California
- Kun Tan, Microsoft Research Asia
- Nian-Feng Tzeng, University of Louisiana at Lafayette
- Yu Wang, Microsoft
- Jie Wu, Florida Atlantic University
- Zhensheng Zhang, San Diego Research Center

--Hongyi
========================================================================
Dr. Hongyi Wu,  Associate Professor
The Center for Advanced Computer Studies (CACS) University of Louisiana (UL) at 
Lafayette
P.O. Box 44330, Lafayette, LA 70504-4330, U.S.A. Tel: 337-482-5779, Fax: 
337-482-5791
E-mail: [email-masked]
http://www.cacs.louisiana.edu/~wu
========================================================================

Date: Tue, 27 Nov 2007 14:23:40 +0200
From: Joerg Ott <[email-masked]>
To: DTN <[email-masked]>, DTN dev <[email-masked]>
Cc: =?ISO-8859-1?Q?Teemu_K=E4rkk=E4inen?= <[email-masked]>, =?ISO-8859-1?Q?Ari_Ker=E4nen?= <[email-masked]>, Jouni Karvo <[email-masked]>
Subject: [dtn-interest] The ONE Simulator 1.0 available
Reply-To: Delay Tolerant Networking Interest List <[email-masked]>

Hi,

as a followup to our brief presentation at the last IETF:
We have completed our cleanup for the Opportunistic
Networking Environment (ONE) Simulator.

It is now available for download (ready-made packages for
Linux/Mac and Windows) from:

     http://www.netlab.tkk.fi/tutkimus/dtn/theone/

with some more information also available here:

     http://www.netlab.hut.fi/~jo/dtn/index.html#one

There is also a small user mailing list for discussion,
complaints, and contributions:

     https://www.netlab.tkk.fi/mailman/listinfo/theone

The ONE simulator supports various synthetic mobility models
(RWP, GPS map-based, points of interest, regular routes for
e.g., buses) and can also work with external traces.
The generated node mobility can be used with the internal
simulation and visualization engine, but can also be fed
into external systems (such as ns-2 or dtnsim2).

The internal routing simulator has epidemic routing,
PROPHET, Spray&Wait, and MaxProp built in.  Further modules
can be added (and contributions are welcome :-)
It generates extensive logs for later analysis which
can also be fed into the visualizer.

The visualization module allows tracking node movement,
connectivity ranges, message storage, and allow map
underlays for the GPS-based traces.

Credits for version 1.0 go primarily to Ari Keränen with
contribution Jouni Karvo and Teemu Kärkkäinen.  John Solis
provided some fixes.

Stay tuned: we have already an external convergence layer
binding running for the ONE which allows moving dtnds and
their applications around (shown at our CHANTS 2007 demo),
but this is not yet completely ready for release.

Joerg

Date: Fri, 23 Nov 2007 11:27:51 +0000
From: Stephen Farrell <[email-masked]>
To: Delay Tolerant Networking Interest List <[email-masked]>
Subject: Re: [dtn-interest] (no subject)
Reply-To: Delay Tolerant Networking Interest List <[email-masked]>

OBIORAH FREDRICK wrote:
> Dear moderator,
>  
> I am an MSc student at Delft university of technology currently working 
> on DTN. I would like to know where and how to put some of my questions I 
> need clarification on.

Sure. (Some other folks might better use dtn-users for questions
specific to the reference implementation, but your question is
just fine-)

>  
> If this is an avenue for such, then my question is:
>  
> I am considering investigating the use RUDP and coding techniques 
> in routing messages in DTN. since RUDP is almost similar to TCP with 
> less complexity, and also RUDP is yet to be made a formal standard, Is 
> this approach relevant, especially with respect to real world deployment 
> of DTN.

RUDP == RFC 1151 right?

If so, I'd probably suggest thinking about DCCP instead, but figuring
out the consequences of DTN deployments over such protocols seems
like a fine idea. (Whether as CLs or, presumably after modification, as
DTN protocols in their own right).

Cheers,
Stephen.

From: "Long, Darren" <[email-masked]>
To: "'Delay Tolerant Networking Interest List'" <[email-masked]>
Date: Fri, 23 Nov 2007 11:08:17 -0000
Subject: Re: [dtn-interest] problem of using discovery of ad-hoc mode
Reply-To: Delay Tolerant Networking Interest List <[email-masked]>

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

------_=_NextPart_001_01C82DC1.2698AE5C
Content-Type: text/plain;
	charset="iso-8859-1"

Hi Zhan,
 
My own experience with IP discovery is that it is ok when the associated network interface is always up, but can have issues when the interface goes down and IP discovery doesn't recover.  I suspect that the use of ad-hoc wireless connections causes this problem for you.  If you use external ethernet attached wifi devices rather than internal ones, this probably won't happen, but I've not tried that so I'm not sure.  With an internal adapter, you could try restarting the dtnd after the ad-hoc connection is made or use bonjour instead.
 
For bonjour on Linux (I assume that's what you are using), I've used avahi instead of the apple code and that works fine, although a tweak is needed in the avahi.conf file to disable the additional service cookie, i.e. set add-service-cookie=no
 
As far as I can tell, the main difference (apart from the fact that bonjour is resilient to intermittent network connectivity) is that (as I understand it) bonjour works only on the local subnet, but IP discovery can be used for unicast discovery through routers.
 
Hope this helps.  You should probably post this kind of question to dtn-users rather than dtn-interest though.
 
Cheers,
 
Darren

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Zhan Jie
Sent: 23 November 2007 06:02
To: [email-masked]
Subject: Re: [dtn-interest] problem of using discovery of ad-hoc mode

Hi, 

i had set up 2 nodes as ad-hoc network as according to the previous email. 

Situation 1 

Node 1(IP:192.168.10.1) --------- Node 2( Ip: 192.168.10.2) 

i am able to ping each other in the network. 

The configuration file for each node is as follows: 

Node 1 
route set type dtlsr 
route local_eid "dtn://one.dtn" 
interface add tcp0 tcp 
interface add udp0 udp 
discovery add ipdisc0 ip port=2000 addr=192.168.10.1 
discovery announce tcp0 ipdisc0 tcp interval=5 interval=5 

Node 2 
route set type dtlsr 
route local_eid "dtn://two.dtn" 
interface add tcp0 tcp 
interface add udp0 udp 
discovery add ipdisc0 ip port=2000 addr=192.168.10.2 
discovery announce tcp0 ipdisc0 tcp interval=5 interval=5 

There will not be error message. However, the DTN node still not able to detect each other. 

Situation 2 

when i connect both laptop to a router as follows: 

Node 1(Ip:192.168.5.100) ---LAN Connection-- [ROUTER] --LAN Connection-- Node 2 (Ip: 192.168.5.101) 

The configuration file is as follows: 

Node 1 
route set type dtlsr 
route local_eid "dtn://one.dtn" 
interface add tcp0 tcp 
interface add udp0 udp 
discovery add ipdisc0 ip port=2000 
discovery announce tcp0 ipdisc0 tcp interval=5 interval=5 

Node 2 
route set type dtlsr 
route local_eid "dtn://two.dtn" 
interface add tcp0 tcp 
interface add udp0 udp 
discovery add ipdisc0 ip port=2000 
discovery announce tcp0 ipdisc0 tcp interval=5 interval=5 

In Situation 2, the node 1 DTN is able to locate Node 2 DTN. Thus i can able to send file or message to Node 2. However i am not able to do that in Situation 1 as Node 1 cannot locate Node 2. is that any mistake in the configuration file?

another question is that what is the difference between discovery_bonjour and ipdisc0? 
And discovery only used for neighbor protocol? 

------_=_NextPart_001_01C82DC1.2698AE5C
Content-Type: text/html;
	charset="iso-8859-1"

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML dir=ltr><HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<TITLE>problem of using discovery of ad-hoc mode</TITLE>

<META content="MSHTML 6.00.2800.1556" name=GENERATOR></HEAD>
<BODY>
<DIV><FONT face=Arial color=#0000ff size=2><SPAN class=438075610-23112007>Hi 
Zhan,</SPAN></FONT></DIV>
<DIV><FONT face=Arial color=#0000ff size=2><SPAN 
class=438075610-23112007></SPAN></FONT>&nbsp;</DIV>
<DIV><FONT face=Arial color=#0000ff size=2><SPAN class=438075610-23112007>My own 
experience with IP discovery is that it is ok when the associated network 
interface is always up, but can have issues when the interface goes down and IP 
discovery doesn't recover.&nbsp; I suspect that the use of ad-hoc wireless 
connections causes this problem for you.&nbsp; If you use external ethernet 
attached wifi&nbsp;devices rather than internal ones, this probably won't 
happen, but I've not tried that so I'm not sure.&nbsp; With an internal 
adapter,&nbsp;you could try restarting the dtnd after the ad-hoc connection is 
made or use bonjour instead.</SPAN></FONT></DIV>
<DIV><FONT face=Arial color=#0000ff size=2><SPAN 
class=438075610-23112007></SPAN></FONT>&nbsp;</DIV>
<DIV><FONT face=Arial color=#0000ff size=2><SPAN class=438075610-23112007>For 
bonjour on Linux (I assume that's what you are using), I've used avahi instead 
of the apple code and that works fine, although a tweak is needed in the 
avahi.conf file to disable the additional service cookie, i.e. set <STRONG><FONT 
face="Times New Roman" color=#000000 size=3>add-<SPAN 
class=highlight1>service</SPAN>-<SPAN 
class=highlight2>cookie</SPAN>=no</FONT></STRONG></SPAN></FONT></DIV>
<DIV><FONT face=Arial color=#0000ff size=2><SPAN 
class=438075610-23112007></SPAN></FONT>&nbsp;</DIV>
<DIV><FONT face=Arial color=#0000ff size=2><SPAN class=438075610-23112007>As far 
as I can tell, the main difference (apart from the fact that bonjour is 
resilient to intermittent network connectivity) is that (as I understand it) 
bonjour works only on the local subnet, but IP discovery can be used for unicast 
discovery through routers.</SPAN></FONT></DIV>
<DIV><FONT face=Arial color=#0000ff size=2><SPAN 
class=438075610-23112007></SPAN></FONT>&nbsp;</DIV>
<DIV><FONT face=Arial color=#0000ff size=2><SPAN class=438075610-23112007>Hope 
this helps.&nbsp; You should probably post this kind of question to dtn-users 
rather than dtn-interest though.</SPAN></FONT></DIV>
<DIV><FONT face=Arial color=#0000ff size=2><SPAN 
class=438075610-23112007></SPAN></FONT>&nbsp;</DIV>
<DIV><FONT face=Arial color=#0000ff size=2><SPAN 
class=438075610-23112007>Cheers,</SPAN></FONT></DIV>
<DIV><FONT face=Arial color=#0000ff size=2><SPAN 
class=438075610-23112007></SPAN></FONT>&nbsp;</DIV>
<DIV><FONT face=Arial color=#0000ff size=2><SPAN 
class=438075610-23112007>Darren</SPAN></FONT></DIV>
<BLOCKQUOTE dir=ltr style="MARGIN-RIGHT: 0px">
  <DIV class=OutlookMessageHeader dir=ltr align=left><FONT face=Tahoma 
  size=2>-----Original Message-----<BR><B>From:</B> 
  [email-masked] 
  [mailto:[email-masked]]<B>On Behalf Of </B>Zhan 
  Jie<BR><B>Sent:</B> 23 November 2007 06:02<BR><B>To:</B> 
  [email-masked]<BR><B>Subject:</B> Re: [dtn-interest] problem 
  of using discovery of ad-hoc mode<BR><BR></FONT></DIV>
  <DIV id=idOWAReplyText50479 dir=ltr>
  <DIV dir=ltr><FONT size=2>
  <P><FONT size=2>Hi,</FONT> </P>
  <P><FONT size=2>i had set up 2 nodes as ad-hoc network as according to the 
  previous email.</FONT> </P>
  <P><FONT size=2>Situation 1</FONT> </P>
  <P><FONT size=2><FONT color=#000080>Node 1(IP:192.168.10.1)</FONT> --------- 
  <FONT color=#000080>Node 2( Ip: 192.168.10.2)</FONT></FONT> </P>
  <P><FONT size=2>i am able to ping each other in the network.</FONT> </P>
  <P><FONT size=2>The configuration file for each node is as follows:</FONT> 
</P>
  <P><FONT size=2>Node 1</FONT> <BR><FONT size=2>route set type dtlsr</FONT> 
  <BR><FONT size=2>route local_eid "dtn://one.dtn"</FONT> <BR><FONT 
  size=2>interface add tcp0 tcp </FONT><BR><FONT size=2>interface add udp0 udp 
  </FONT><BR><FONT size=2>discovery add ipdisc0 ip port=2000 
  addr=192.168.10.1</FONT> <BR><FONT size=2>discovery announce tcp0 ipdisc0 tcp 
  interval=5 interval=5</FONT> </P>
  <P><FONT size=2>Node 2</FONT> <BR><FONT size=2>route set type dtlsr</FONT> 
  <BR><FONT size=2>route local_eid "dtn://two.dtn"</FONT> <BR><FONT 
  size=2>interface add tcp0 tcp </FONT><BR><FONT size=2>interface add udp0 udp 
  </FONT><BR><FONT size=2>discovery add ipdisc0 ip port=2000 
  addr=192.168.10.2</FONT> <BR><FONT size=2>discovery announce tcp0 ipdisc0 tcp 
  interval=5 interval=5</FONT> </P>
  <P><FONT size=2>There will not be error message. However, the DTN node still 
  not able to detect each other.</FONT> </P>
  <P><FONT size=2>Situation 2</FONT> </P>
  <P><FONT size=2>when i connect both laptop to a router as follows:</FONT> </P>
  <P><FONT size=2><FONT color=#000080>Node 1(Ip:192.168.5.100)</FONT> <FONT 
  color=#ff0000>---LAN Connection--</FONT> <FONT color=#000080>[ROUTER]</FONT> 
  <FONT color=#800000>--LAN Connection--</FONT> <FONT color=#000080>Node 2 (Ip: 
  192.168.5.101)</FONT></FONT><FONT color=#000080> </FONT></P>
  <P><FONT size=2>The configuration file is as follows:</FONT> </P>
  <P><FONT size=2>Node 1</FONT> <BR><FONT size=2>route set type dtlsr</FONT> 
  <BR><FONT size=2>route local_eid "dtn://one.dtn"</FONT> <BR><FONT 
  size=2>interface add tcp0 tcp </FONT><BR><FONT size=2>interface add udp0 udp 
  </FONT><BR><FONT size=2>discovery add ipdisc0 ip port=2000 </FONT><BR><FONT 
  size=2>discovery announce tcp0 ipdisc0 tcp interval=5 interval=5</FONT> </P>
  <P><FONT size=2>Node 2</FONT> <BR><FONT size=2>route set type dtlsr</FONT> 
  <BR><FONT size=2>route local_eid "dtn://two.dtn"</FONT> <BR><FONT 
  size=2>interface add tcp0 tcp </FONT><BR><FONT size=2>interface add udp0 udp 
  </FONT><BR><FONT size=2>discovery add ipdisc0 ip port=2000 </FONT><BR><FONT 
  size=2>discovery announce tcp0 ipdisc0 tcp interval=5 interval=5</FONT> </P>
  <P><FONT size=2>In Situation 2, the node 1 DTN is able to locate Node 2 DTN. 
  Thus i can able to send file or message to Node 2. However i am not able to do 
  that in Situation 1 as Node 1 cannot locate Node 2. is that any mistake in the 
  configuration file?</FONT></P>
  <P><FONT size=2>another question is that what is the difference between 
  discovery_bonjour and ipdisc0?</FONT> <BR><FONT size=2>And discovery only used 
  for neighbor protocol? </FONT></P></FONT></DIV></DIV></BLOCKQUOTE></BODY></HTML>

------_=_NextPart_001_01C82DC1.2698AE5C--

Content-class: urn:content-classes:message
Date: Fri, 23 Nov 2007 14:02:27 +0800
From: "Zhan Jie" <[email-masked]>
To: <[email-masked]>
Subject: Re: [dtn-interest] problem of using discovery of ad-hoc mode
Reply-To: Delay Tolerant Networking Interest List <[email-masked]>

This is a multi-part message in MIME format.

------_=_NextPart_001_01C82D96.96CC8BF8
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

Hi,=20

i had set up 2 nodes as ad-hoc network as according to the previous =
email.=20

Situation 1=20

Node 1(IP:192.168.10.1) --------- Node 2( Ip: 192.168.10.2)=20

i am able to ping each other in the network.=20

The configuration file for each node is as follows:=20

Node 1=20
route set type dtlsr=20
route local_eid "dtn://one.dtn"=20
interface add tcp0 tcp=20
interface add udp0 udp=20
discovery add ipdisc0 ip port=3D2000 addr=3D192.168.10.1=20
discovery announce tcp0 ipdisc0 tcp interval=3D5 interval=3D5=20

Node 2=20
route set type dtlsr=20
route local_eid "dtn://two.dtn"=20
interface add tcp0 tcp=20
interface add udp0 udp=20
discovery add ipdisc0 ip port=3D2000 addr=3D192.168.10.2=20
discovery announce tcp0 ipdisc0 tcp interval=3D5 interval=3D5=20

There will not be error message. However, the DTN node still not able to =
detect each other.=20

Situation 2=20

when i connect both laptop to a router as follows:=20

Node 1(Ip:192.168.5.100) ---LAN Connection-- [ROUTER] --LAN Connection-- =
Node 2 (Ip: 192.168.5.101)=20

The configuration file is as follows:=20

Node 1=20
route set type dtlsr=20
route local_eid "dtn://one.dtn"=20
interface add tcp0 tcp=20
interface add udp0 udp=20
discovery add ipdisc0 ip port=3D2000=20
discovery announce tcp0 ipdisc0 tcp interval=3D5 interval=3D5=20

Node 2=20
route set type dtlsr=20
route local_eid "dtn://two.dtn"=20
interface add tcp0 tcp=20
interface add udp0 udp=20
discovery add ipdisc0 ip port=3D2000=20
discovery announce tcp0 ipdisc0 tcp interval=3D5 interval=3D5=20

In Situation 2, the node 1 DTN is able to locate Node 2 DTN. Thus i can =
able to send file or message to Node 2. However i am not able to do that =
in Situation 1 as Node 1 cannot locate Node 2. is that any mistake in =
the configuration file?

another question is that what is the difference between =
discovery_bonjour and ipdisc0?=20
And discovery only used for neighbor protocol?=20

------_=_NextPart_001_01C82D96.96CC8BF8
Content-Type: text/html;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<HTML dir=3Dltr><HEAD><TITLE>problem of using discovery of ad-hoc =
mode</TITLE>=0A=
<META http-equiv=3DContent-Type content=3D"text/html; charset=3Dunicode">=0A=
<META content=3D"MSHTML 6.00.6000.16544" name=3DGENERATOR></HEAD>=0A=
<BODY>=0A=
<DIV id=3DidOWAReplyText50479 dir=3Dltr>=0A=
<DIV dir=3Dltr><FONT size=3D2>=0A=
<P><FONT size=3D2>Hi,</FONT> </P>=0A=
<P><FONT size=3D2>i had set up 2 nodes as ad-hoc network as according to =
the previous email.</FONT> </P>=0A=
<P><FONT size=3D2>Situation 1</FONT> </P>=0A=
<P><FONT size=3D2><FONT color=3D#000080>Node 1(IP:192.168.10.1)</FONT> =
--------- <FONT color=3D#000080>Node 2( Ip: 192.168.10.2)</FONT></FONT> =
</P>=0A=
<P><FONT size=3D2>i am able to ping each other in the network.</FONT> =
</P>=0A=
<P><FONT size=3D2>The configuration file for each node is as =
follows:</FONT> </P>=0A=
<P><FONT size=3D2>Node 1</FONT> <BR><FONT size=3D2>route set type =
dtlsr</FONT> <BR><FONT size=3D2>route local_eid "dtn://one.dtn"</FONT> =
<BR><FONT size=3D2>interface add tcp0 tcp </FONT><BR><FONT =
size=3D2>interface add udp0 udp </FONT><BR><FONT size=3D2>discovery add =
ipdisc0 ip port=3D2000 addr=3D192.168.10.1</FONT> <BR><FONT =
size=3D2>discovery announce tcp0 ipdisc0 tcp interval=3D5 =
interval=3D5</FONT> </P>=0A=
<P><FONT size=3D2>Node 2</FONT> <BR><FONT size=3D2>route set type =
dtlsr</FONT> <BR><FONT size=3D2>route local_eid "dtn://two.dtn"</FONT> =
<BR><FONT size=3D2>interface add tcp0 tcp </FONT><BR><FONT =
size=3D2>interface add udp0 udp </FONT><BR><FONT size=3D2>discovery add =
ipdisc0 ip port=3D2000 addr=3D192.168.10.2</FONT> <BR><FONT =
size=3D2>discovery announce tcp0 ipdisc0 tcp interval=3D5 =
interval=3D5</FONT> </P>=0A=
<P><FONT size=3D2>There will not be error message. However, the DTN node =
still not able to detect each other.</FONT> </P>=0A=
<P><FONT size=3D2>Situation 2</FONT> </P>=0A=
<P><FONT size=3D2>when i connect both laptop to a router as =
follows:</FONT> </P>=0A=
<P><FONT size=3D2><FONT color=3D#000080>Node 1(Ip:192.168.5.100)</FONT> =
<FONT color=3D#ff0000>---LAN Connection--</FONT> <FONT =
color=3D#000080>[ROUTER]</FONT> <FONT color=3D#800000>--LAN =
Connection--</FONT> <FONT color=3D#000080>Node 2 (Ip: =
192.168.5.101)</FONT></FONT><FONT color=3D#000080> </FONT></P>=0A=
<P><FONT size=3D2>The configuration file is as follows:</FONT> </P>=0A=
<P><FONT size=3D2>Node 1</FONT> <BR><FONT size=3D2>route set type =
dtlsr</FONT> <BR><FONT size=3D2>route local_eid "dtn://one.dtn"</FONT> =
<BR><FONT size=3D2>interface add tcp0 tcp </FONT><BR><FONT =
size=3D2>interface add udp0 udp </FONT><BR><FONT size=3D2>discovery add =
ipdisc0 ip port=3D2000 </FONT><BR><FONT size=3D2>discovery announce tcp0 =
ipdisc0 tcp interval=3D5 interval=3D5</FONT> </P>=0A=
<P><FONT size=3D2>Node 2</FONT> <BR><FONT size=3D2>route set type =
dtlsr</FONT> <BR><FONT size=3D2>route local_eid "dtn://two.dtn"</FONT> =
<BR><FONT size=3D2>interface add tcp0 tcp </FONT><BR><FONT =
size=3D2>interface add udp0 udp </FONT><BR><FONT size=3D2>discovery add =
ipdisc0 ip port=3D2000 </FONT><BR><FONT size=3D2>discovery announce tcp0 =
ipdisc0 tcp interval=3D5 interval=3D5</FONT> </P>=0A=
<P><FONT size=3D2>In Situation 2, the node 1 DTN is able to locate Node =
2 DTN. Thus i can able to send file or message to Node 2. However i am =
not able to do that in Situation 1 as Node 1 cannot locate Node 2. is =
that any mistake in the configuration file?</FONT></P>=0A=
<P><FONT size=3D2>another question is that what is the difference =
between discovery_bonjour and ipdisc0?</FONT> <BR><FONT size=3D2>And =
discovery only used for neighbor protocol? =
</FONT></P></FONT></DIV></DIV></BODY></HTML>
------_=_NextPart_001_01C82D96.96CC8BF8--

Date: Thu, 22 Nov 2007 20:36:46 +0100
From: "OBIORAH FREDRICK" <[email-masked]>
To: [email-masked]
Subject: [dtn-interest] (no subject)
Reply-To: Delay Tolerant Networking Interest List <[email-masked]>

------=_Part_27508_20505344.1195760207035
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Dear moderator,

I am an MSc student at Delft university of technology currently working on
DTN. I would like to know where and how to put some of my questions I need
clarification on.

If this is an avenue for such, then my question is:

I am considering investigating the use RUDP and coding techniques in routing
messages in DTN. since RUDP is almost similar to TCP with less complexity,
and also RUDP is yet to be made a formal standard, Is this approach
relevant, especially with respect to real world deployment of DTN.

Thanks

Fredrick

------=_Part_27508_20505344.1195760207035
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

<div>Dear moderator,</div>
<div>&nbsp;</div>
<div>I am an MSc student at Delft university of technology currently working on DTN. I would like to know where and how to put some of my questions I need clarification on.</div>
<div>&nbsp;</div>
<div>If this is an avenue for such, then my question is:</div>
<div>&nbsp;</div>
<div>I am considering investigating the use RUDP and coding techniques in&nbsp;routing messages in DTN. since RUDP is almost similar to TCP with less complexity, and also RUDP is yet to be made a formal standard, Is this approach relevant, especially with respect to real world deployment of DTN.
</div>
<div>&nbsp;</div>
<div>Thanks</div>
<div>&nbsp;</div>
<div>Fredrick</div>

------=_Part_27508_20505344.1195760207035--

Date: Wed, 21 Nov 2007 15:21:21 -0600
From: "Jeff Wilson" <[email-masked]>
Sender: [email-masked]
To: "Delay Tolerant Networking Interest List" <[email-masked]>
Subject: Re: [dtn-interest] problem of using discovery of ad-hoc mode
Reply-To: Delay Tolerant Networking Interest List <[email-masked]>

On Nov 21, 2007 12:02 AM, Zhan Jie <[email-masked]> wrote:
>  Now, i am trying discovery of DTN in ad-hoc mode. (two laptops with WaveLAN
> cards), however they cannot detect each other. Can discovery be used in this
> senario?

Assuming you can ping host one from host two, yes discovery can be
used in this scenario.

>  Configure file of Node One:
>
>  console set addr 127.0.0.1
>  console set port 5050
>  route local_eid "dtn://one.dtn"
>  interface add tcp0 tcp local_port=4556
>  interface add udp0 udp local_port=4556
>  discovery add discovery_bonjour ip port=2000
>  discovery announce tcp0 discovery_bonjour tcp interval=5
>  log /dtnd info "dtnd configuration parsing complete"

I notice that you name your discovery component "discovery_bonjour"
but you specify the "ip" type of Discovery.  If you want to use
bonjour, make sure you add "--with-bonjour" to your list of command
line parameters when you run the configure script.

>  Node Two:
>  console set addr 127.0.0.1
>  console set port 5050
>  route local_eid "dtn://two.dtn"
>  interface add tcp0 tcp local_port=4556
>  interface add udp0 udp local_port=4556
>  discovery add discovery_bonjour ip port=2000
>  discovery announce tcp0 discovery_bonjour tcp interval=5
>  log /dtnd info "dtnd configuration parsing complete"
>
>  it shows :
>  localhost dtn% [1195624257.746022 /dtn/discovery/ip error] sendto failed:
> Network is unreachable (101)
>
>  But Node One can use TCP ping Node Two successfully. Any suggestion of this
> daemon . Thanks a lot.

If you want to use the IP discovery module, you can provide a
local_addr=a.b.c.d option to the end of the "discovery add" command.
See the wiki article at http://www.dtnrg.org/wiki/NeighborDiscovery
for a brief tutorial.

Your kernel doesn't know where to route the outbound packet.  From
another shell console (such as bash) run `netstat -an | grep udp` to
determine what IP address the discovery process binds to, at UDP port
2000 ... you can also change the beacon destination by setting
"addr=a.b.c.d" and tweaking "unicast=true" or false to indicate
whether you've addressed a broadcast or a single host.

      Regards,
      Jeff

Content-class: urn:content-classes:message
Date: Wed, 21 Nov 2007 14:02:31 +0800
From: "Zhan Jie" <[email-masked]>
To: <[email-masked]>
Subject: [dtn-interest] problem of using discovery of ad-hoc mode
Reply-To: Delay Tolerant Networking Interest List <[email-masked]>

This is a multi-part message in MIME format.

------_=_NextPart_001_01C82C04.1A8945E6
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

Hi, All,

Now, i am trying discovery of DTN in ad-hoc mode. (two laptops with =
WaveLAN cards), however they cannot detect each other. Can discovery be =
used in this senario?=20

Configure file of Node One:

console set addr 127.0.0.1
console set port 5050
route local_eid "dtn://one.dtn"
interface add tcp0 tcp local_port=3D4556
interface add udp0 udp local_port=3D4556
discovery add discovery_bonjour ip port=3D2000=20
discovery announce tcp0 discovery_bonjour tcp interval=3D5=20
log /dtnd info "dtnd configuration parsing complete"

Node Two:
console set addr 127.0.0.1
console set port 5050
route local_eid "dtn://two.dtn"
interface add tcp0 tcp local_port=3D4556
interface add udp0 udp local_port=3D4556
discovery add discovery_bonjour ip port=3D2000=20
discovery announce tcp0 discovery_bonjour tcp interval=3D5=20
log /dtnd info "dtnd configuration parsing complete"

it shows :
localhost dtn% [1195624257.746022 /dtn/discovery/ip error] sendto =
failed: Network is unreachable (101)

But Node One can use TCP ping Node Two successfully. Any suggestion of =
this daemon . Thanks a lot.

J

------_=_NextPart_001_01C82C04.1A8945E6
Content-Type: text/html;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; =
charset=3Diso-8859-1">
<META NAME=3D"Generator" CONTENT=3D"MS Exchange Server version =
6.5.7638.1">
<TITLE>problem of using discovery of ad-hoc mode</TITLE>
</HEAD>
<BODY>
<!-- Converted from text/plain format -->

<P><FONT SIZE=3D2>Hi, All,<BR>
<BR>
Now, i am trying discovery of DTN in ad-hoc mode. (two laptops with =
WaveLAN cards), however they cannot detect each other. Can discovery be =
used in this senario?<BR>
<BR>
Configure file of Node One:<BR>
<BR>
console set addr 127.0.0.1<BR>
console set port 5050<BR>
route local_eid &quot;dtn://one.dtn&quot;<BR>
interface add tcp0 tcp local_port=3D4556<BR>
interface add udp0 udp local_port=3D4556<BR>
discovery add discovery_bonjour ip port=3D2000<BR>
discovery announce tcp0 discovery_bonjour tcp interval=3D5<BR>
log /dtnd info &quot;dtnd configuration parsing complete&quot;<BR>
<BR>
Node Two:<BR>
console set addr 127.0.0.1<BR>
console set port 5050<BR>
route local_eid &quot;dtn://two.dtn&quot;<BR>
interface add tcp0 tcp local_port=3D4556<BR>
interface add udp0 udp local_port=3D4556<BR>
discovery add discovery_bonjour ip port=3D2000<BR>
discovery announce tcp0 discovery_bonjour tcp interval=3D5<BR>
log /dtnd info &quot;dtnd configuration parsing complete&quot;<BR>
<BR>
it shows :<BR>
localhost dtn% [1195624257.746022 /dtn/discovery/ip error] sendto =
failed: Network is unreachable (101)<BR>
<BR>
But Node One can use TCP ping Node Two successfully. Any suggestion of =
this daemon . Thanks a lot.<BR>
<BR>
J<BR>
<BR>
<BR>
<BR>
</FONT>
</P>

</BODY>
</HTML>
------_=_NextPart_001_01C82C04.1A8945E6--

From: Rajesh Krishnan <[email-masked]>
To: [email-masked], [email-masked]
Organization: BBN Technologies
Date: Mon, 19 Nov 2007 14:12:57 -0500
Cc: Delay Tolerant Networking Interest List <[email-masked]>, Vint Cerf <[email-masked]>
Subject: Re: [dtn-interest] The Bundle Protocol Specification is now RFC5050
Reply-To: [email-masked], Delay Tolerant Networking Interest List <[email-masked]>

Congratulations!

A nice RFC number that is easy to remember too.

Best Regards,
Rajesh

On Mon, 2007-11-19 at 13:41 -0500, Scott, Keith L. wrote:
> All,
>  
> The Bundle Protocol Specification is now available from the RFC Index
> as an experimental protocol spec
> (ftp://ftp.rfc-editor.org/in-notes/rfc5050.txt).  This document was
> made possible by the combined efforts of everyone in the dtnrg,
> including all who have worked on specification, implementations, and
> interoperability testing.  I hope that the publication of the bundle
> protocol spec, in combination with the architecture specification
> (RFC4838), will facilitate the wider distribution and testing of the
> bundle protocol.
>  
> Congratulations and thanks to all involved!
>  
>         --keith
>  
> _______________________________________________
> dtn-interest mailing list
> [email-masked]
> http://maillists.intel-research.net/mailman/listinfo/dtn-interest

Content-class: urn:content-classes:message
Date: Mon, 19 Nov 2007 13:41:48 -0500
From: "Scott, Keith L." <[email-masked]>
To: <[email-masked]>
Cc: Vint Cerf <[email-masked]>
Subject: [dtn-interest] The Bundle Protocol Specification is now RFC5050
Reply-To: Delay Tolerant Networking Interest List <[email-masked]>

This is a multi-part message in MIME format.

------_=_NextPart_001_01C82ADB.D7F695D2
Content-Type: text/plain;
	charset="US-ASCII"
Content-Transfer-Encoding: quoted-printable

All,
=20
The Bundle Protocol Specification is now available from the RFC Index
as an experimental protocol spec
(ftp://ftp.rfc-editor.org/in-notes/rfc5050.txt).  This document was
made possible by the combined efforts of everyone in the dtnrg,
including all who have worked on specification, implementations, and
interoperability testing.  I hope that the publication of the bundle
protocol spec, in combination with the architecture specification
(RFC4838), will facilitate the wider distribution and testing of the
bundle protocol.
=20
Congratulations and thanks to all involved!
=20
        --keith
=20

------_=_NextPart_001_01C82ADB.D7F695D2
Content-Type: text/html;
	charset="US-ASCII"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META http-equiv=3DContent-Type content=3D"text/html; =
charset=3Dus-ascii">
<META content=3D"MSHTML 6.00.6000.16544" name=3DGENERATOR></HEAD>
<BODY>
<DIV><FONT face=3DArial><SPAN =
class=3D969042718-19112007>All,</SPAN></FONT></DIV>
<DIV><FONT face=3DArial><SPAN =
class=3D969042718-19112007></SPAN></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial><SPAN class=3D969042718-19112007>The Bundle =
Protocol=20
Specification is now available from the RFC Index as an experimental =
protocol=20
spec&nbsp; (<A=20
href=3D"ftp://ftp.rfc-editor.org/in-notes/rfc5050.txt">ftp://ftp.rfc-edit=
or.org/in-notes/rfc5050.txt</A>).&nbsp;=20
This document was made possible by the combined efforts of everyone in =
the=20
dtnrg, including all who have worked on specification, implementations, =
and=20
interoperability testing.&nbsp;&nbsp;I hope that the publication of=20
the&nbsp;bundle protocol spec, in combination with the architecture=20
specification (RFC4838), will facilitate the wider distribution and =
testing of=20
the bundle protocol.</SPAN></FONT></DIV>
<DIV><FONT face=3DArial><SPAN =
class=3D969042718-19112007></SPAN></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial><SPAN class=3D969042718-19112007>Congratulations =
and thanks=20
to all involved!</SPAN></FONT></DIV>
<DIV><FONT face=3DArial><SPAN =
class=3D969042718-19112007></SPAN></FONT>&nbsp;</DIV>
<DIV><FONT face=3DArial><SPAN=20
class=3D969042718-19112007>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=20
--keith</SPAN></FONT></DIV>
<DIV><FONT face=3DArial><SPAN=20
class=3D969042718-19112007></SPAN></FONT>&nbsp;</DIV></BODY></HTML>

------_=_NextPart_001_01C82ADB.D7F695D2--

Date: Mon, 19 Nov 2007 13:58:22 +0200
From: Joerg Ott <[email-masked]>
To: DTN <[email-masked]>
Subject: [dtn-interest] New I-D on application conventions available
Reply-To: Delay Tolerant Networking Interest List <[email-masked]>

Hi,

we (finally) submitted a new draft containing a collection of
application conventions:
http://www.ietf.org/internet-drafts/draft-ott-dtnrg-dtn-appl-00.txt

It picks up some of the discussion on naming and addressing as well
as the need for further conventions as have partly been discussed by
Wes Eddy on EIDs.

Joerg

Date: Sun, 18 Nov 2007 11:26:07 -0500
From: Jim Wyllie <[email-masked]>
To: Delay Tolerant Networking Interest List <[email-masked]>
Subject: [dtn-interest] Bundle Autodiscovery -01 released
Reply-To: Delay Tolerant Networking Interest List <[email-masked]>

This is an OpenPGP/MIME signed message (RFC 2440 and 3156)
--------------enig9EDC5C0243CAF64B4C1A21A3
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

Just a quick note: integrating many of the pieces of advice from Chicago
and various implementation quirks has finally yielded the -01 draft of
bundle autodiscovery, which can be found here:

http://www.ietf.org/internet-drafts/draft-wyllie-dtnrg-badisc-01.txt

Changes include:

 o Implementing a scheme for incorporating basic and nearly-ubiquitous
capabilities into the domain-independent portion

 o Slightly different header semantics

 o Notes on updating routing entries

 o Eliminating the "autodiscovery header" and placing all data in the
payload

Also, implementation of autodiscovery into DTN2 is nearing completion
for those who wish to play around with it.
--=20
Jim Wyllie
Master's Student
IRG Lab, School of EE and CS
Ohio University

--------------enig9EDC5C0243CAF64B4C1A21A3
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

--------------enig9EDC5C0243CAF64B4C1A21A3--

Date: Tue, 13 Nov 2007 18:58:02 +0900
From: "Sergio Carrilho" <[email-masked]>
Sender: [email-masked]
To: "Delay Tolerant Networking Interest List" <[email-masked]>
Subject: Re: [dtn-interest] encounter problems in installing dtn2.5.0
Reply-To: [email-masked], Delay Tolerant Networking Interest List <[email-masked]>

------=_Part_46200_25464928.1194947882475
Content-Type: text/plain; charset=GB2312
Content-Transfer-Encoding: base64
Content-Disposition: inline

------=_Part_46200_25464928.1194947882475
Content-Type: text/html; charset=GB2312
Content-Transfer-Encoding: base64
Content-Disposition: inline

------=_Part_46200_25464928.1194947882475--

Date: Tue, 13 Nov 2007 10:42:47 +0100
From: "Giuseppe Sollazzo" <[email-masked]>
To: "Delay Tolerant Networking Interest List" <[email-masked]>
Subject: Re: [dtn-interest] encounter problems in installing dtn2.5.0
Reply-To: Delay Tolerant Networking Interest List <[email-masked]>

Hello there,
I think you had better writing to the dtn-users mailing list, which is
more appropriate to address such issues.

--Giuseppe Sollazzo

On Nov 13, 2007 10:18 AM, ËÕ½ðîÈ <[email-masked]> wrote:
>
>
> Hello,everyone!
>
>       I am a rookie to dtn and I want to install dtn2.5.0 on Linux,following

Date: Tue, 13 Nov 2007 17:18:35 +0800
From: "=?GB2312?B?y9W98O7I?=" <[email-masked]>
To: [email-masked]
Subject: [dtn-interest] encounter problems in installing dtn2.5.0
Reply-To: Delay Tolerant Networking Interest List <[email-masked]>

------=_Part_1108_24056427.1194945515307
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Hello,everyone!

      I am a rookie to dtn and I want to install dtn2.5.0 on Linux,following
these steps on
      http://www.dtnrg.org/wiki/Dtn2TipsAndTricks

      I have already installed Berkeley DB4.5.20 and tclreadline2.1.0,but I
can't find the directory "dtnd"
      as step 4 shows,? and what's the lowest version of gcc does dtn
require?

      Could somebody be kindly enough to show me the exactly steps in
installing dtn? great thanks!!

[email-masked]
2007-11-13

------=_Part_1108_24056427.1194945515307
Content-Type: text/html; charset=GB2312
Content-Transfer-Encoding: base64
Content-Disposition: inline

------=_Part_1108_24056427.1194945515307--